Bug 179979 - segfault when ctrl-c'ing tomboy
Summary: segfault when ctrl-c'ing tomboy
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-04 05:58 UTC by Dave Jones
Modified: 2015-01-04 22:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 19:23:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Jones 2006-02-04 05:58:46 UTC
when trying to stop a hung tomboy, I hit ctrl-c, and got a core-dump.

gdb says this..
Core was generated by `mono /usr/lib64/tomboy/Tomboy.exe'.
Program terminated with signal 11, Segmentation fault.
#0  mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
173             MonoJitInfoTable *table = domain->jit_info_table;
(gdb) bt
#0  mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#1  0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#2  <signal handler called>
#3  mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#4  0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#5  <signal handler called>
#6  mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#7  0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#8  <signal handler called>
#9  mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#10 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#11 <signal handler called>
#12 mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#13 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#14 <signal handler called>
#15 mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#16 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#17 <signal handler called>
#18 mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#19 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#20 <signal handler called>
#21 mono_jit_info_table_find (domain=0x0, addr=0x49c82a "H\213\237\uffff") at
domain.c:173
#22 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#23 <signal handler called>
#24 mono_jit_info_table_find (domain=0x0, addr=0x4000010b
"L\213\030L\211\235\uffff\uffff\uffff\uffffL\215\235\uffff\uffff\uffff\uffffL\211\030H\215\uffffh\uffff\uffff\uffffH\213u\bH\213U\uffffH\213M\uffff\uffff[9O")
at domain.c:173
#25 0x00000000004becd3 in sigsegv_signal_handler (_dummy=Variable "_dummy" is
not available.
) at mini.c:9967
#26 <signal handler called>
#27 0x000000004000010b in ?? ()
#28 0x0000000000000000 in ?? ()

Comment 1 Dave Jones 2008-01-17 19:23:51 UTC
probably fixed. who knows.



Note You need to log in before you can comment on or make changes to this bug.